[arch-commits] Commit in mono/repos (16 files)

Daniel Isenmann daniel at archlinux.org
Wed Oct 19 03:11:57 EDT 2011


    Date: Wednesday, October 19, 2011 @ 03:11:57
  Author: daniel
Revision: 140778

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  mono/repos/extra-i686/PKGBUILD
    (from rev 140777, mono/trunk/PKGBUILD)
  mono/repos/extra-i686/bug434892.patch
    (from rev 140777, mono/trunk/bug434892.patch)
  mono/repos/extra-i686/mini_amd64.patch
    (from rev 140777, mono/trunk/mini_amd64.patch)
  mono/repos/extra-i686/mono.rc.d
    (from rev 140777, mono/trunk/mono.rc.d)
  mono/repos/extra-x86_64/PKGBUILD
    (from rev 140777, mono/trunk/PKGBUILD)
  mono/repos/extra-x86_64/bug434892.patch
    (from rev 140777, mono/trunk/bug434892.patch)
  mono/repos/extra-x86_64/mini_amd64.patch
    (from rev 140777, mono/trunk/mini_amd64.patch)
  mono/repos/extra-x86_64/mono.rc.d
    (from rev 140777, mono/trunk/mono.rc.d)
Deleted:
  mono/repos/extra-i686/PKGBUILD
  mono/repos/extra-i686/bug434892.patch
  mono/repos/extra-i686/mini_amd64.patch
  mono/repos/extra-i686/mono.rc.d
  mono/repos/extra-x86_64/PKGBUILD
  mono/repos/extra-x86_64/bug434892.patch
  mono/repos/extra-x86_64/mini_amd64.patch
  mono/repos/extra-x86_64/mono.rc.d

-------------------------------+
 extra-i686/PKGBUILD           |  106 ++++++++++++++++++++--------------------
 extra-i686/bug434892.patch    |   22 ++++----
 extra-i686/mini_amd64.patch   |   26 ++++-----
 extra-i686/mono.rc.d          |   70 +++++++++++++-------------
 extra-x86_64/PKGBUILD         |  106 ++++++++++++++++++++--------------------
 extra-x86_64/bug434892.patch  |   22 ++++----
 extra-x86_64/mini_amd64.patch |   26 ++++-----
 extra-x86_64/mono.rc.d        |   70 +++++++++++++-------------
 8 files changed, 224 insertions(+), 224 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-i686/PKGBUILD	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-# Contributor: Brice Carpentier <brice at dlfp.org>
-
-pkgname=mono
-pkgver=2.10.5
-pkgrel=1
-pkgdesc="Free implementation of the .NET platform including runtime and compiler"
-arch=(i686 x86_64)
-license=('GPL' 'LGPL2' 'MPL' 'custom:MITX11')
-url="http://www.mono-project.com/"
-depends=('zlib' 'libgdiplus>=2.10' 'sh')
-makedepends=('pkgconfig')
-options=('!libtool' '!makeflags')
-provides=('monodoc')
-conflicts=('monodoc')
-source=(http://download.mono-project.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
-        mono.rc.d)
-md5sums=('1954f11932e82b2ae3b64b2ae9344d90'
-         '8315e46c6a6e9625502521fc0ad1a322')
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  # build mono
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --with-libgdiplus=installed 
-  make || return 1
-
-  # build jay
-  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
-  make || return 1
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install || return 1
-
-  # install jay
-  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
-  make DESTDIR=${pkgdir} prefix=/usr INSTALL=../../install-sh install
-  cd ${srcdir}/${pkgname}-${pkgver}
-
-  # install daemons and pathes
-  mkdir -p ${pkgdir}/etc/rc.d
-  install -m755 ${srcdir}/mono.rc.d ${pkgdir}/etc/rc.d/mono
-
-  #install license
-  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 mcs/MIT.X11 ${pkgdir}/usr/share/licenses/${pkgname}/
-  
-  #fix .pc file to be able to request mono on what it depends, fixes #go-oo build
-  sed -i -e "s:#Requires:Requires:" ${pkgdir}/usr/lib/pkgconfig/mono.pc
-}

Copied: mono/repos/extra-i686/PKGBUILD (from rev 140777, mono/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Brice Carpentier <brice at dlfp.org>
+
+pkgname=mono
+pkgver=2.10.6
+pkgrel=1
+pkgdesc="Free implementation of the .NET platform including runtime and compiler"
+arch=(i686 x86_64)
+license=('GPL' 'LGPL2' 'MPL' 'custom:MITX11')
+url="http://www.mono-project.com/"
+depends=('zlib' 'libgdiplus>=2.10' 'sh')
+makedepends=('pkgconfig')
+options=('!libtool' '!makeflags')
+provides=('monodoc')
+conflicts=('monodoc')
+source=(http://download.mono-project.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+        mono.rc.d)
+md5sums=('c442cef4cd6668b0a1391a661f6815a9'
+         '8315e46c6a6e9625502521fc0ad1a322')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  # build mono
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --with-libgdiplus=installed 
+  make || return 1
+
+  # build jay
+  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
+  make || return 1
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install || return 1
+
+  # install jay
+  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
+  make DESTDIR=${pkgdir} prefix=/usr INSTALL=../../install-sh install
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  # install daemons and pathes
+  mkdir -p ${pkgdir}/etc/rc.d
+  install -m755 ${srcdir}/mono.rc.d ${pkgdir}/etc/rc.d/mono
+
+  #install license
+  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 mcs/MIT.X11 ${pkgdir}/usr/share/licenses/${pkgname}/
+  
+  #fix .pc file to be able to request mono on what it depends, fixes #go-oo build
+  sed -i -e "s:#Requires:Requires:" ${pkgdir}/usr/lib/pkgconfig/mono.pc
+}

Deleted: extra-i686/bug434892.patch
===================================================================
--- extra-i686/bug434892.patch	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-i686/bug434892.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,11 +0,0 @@
---- trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/07/01 20:17:46	107006
-+++ trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/10/28 09:32:46	117243
-@@ -177,7 +177,7 @@
- 				foreach (OperationMessage om in op.Messages) {
- 					Message msg = ctx.Services.GetMessage (om.Message);
- 					foreach (MessagePart part in msg.Parts)
--						parts.Add (part,part);
-+						parts [part] = part; // do not use Add() - there could be the same MessagePart instance.
- 				}
- 			}
- 			

Copied: mono/repos/extra-i686/bug434892.patch (from rev 140777, mono/trunk/bug434892.patch)
===================================================================
--- extra-i686/bug434892.patch	                        (rev 0)
+++ extra-i686/bug434892.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,11 @@
+--- trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/07/01 20:17:46	107006
++++ trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/10/28 09:32:46	117243
+@@ -177,7 +177,7 @@
+ 				foreach (OperationMessage om in op.Messages) {
+ 					Message msg = ctx.Services.GetMessage (om.Message);
+ 					foreach (MessagePart part in msg.Parts)
+-						parts.Add (part,part);
++						parts [part] = part; // do not use Add() - there could be the same MessagePart instance.
+ 				}
+ 			}
+ 			

Deleted: extra-i686/mini_amd64.patch
===================================================================
--- extra-i686/mini_amd64.patch	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-i686/mini_amd64.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,13 +0,0 @@
---- mono/mini/mini-amd64.c	2009-03-19 21:08:18 UTC (rev 129824)
-+++ mono/mini/mini-amd64.c	2009-03-19 21:09:53 UTC (rev 129825)
-@@ -1009,7 +1009,7 @@
- 		locals_size += mono_type_size (ins->inst_vtype, &ialign);
- 	}
- 
--	if ((cfg->num_varinfo > 10000) || (locals_size >= (1 << 15))) {
-+	if ((cfg->num_varinfo > 5000) || (locals_size >= (1 << 15)) || (header->code_size > 110000)) {
- 		/* Avoid hitting the stack_alloc_size < (1 << 16) assertion in emit_epilog () */
- 		cfg->arch.omit_fp = FALSE;
- 	}
-
- 			

Copied: mono/repos/extra-i686/mini_amd64.patch (from rev 140777, mono/trunk/mini_amd64.patch)
===================================================================
--- extra-i686/mini_amd64.patch	                        (rev 0)
+++ extra-i686/mini_amd64.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,13 @@
+--- mono/mini/mini-amd64.c	2009-03-19 21:08:18 UTC (rev 129824)
++++ mono/mini/mini-amd64.c	2009-03-19 21:09:53 UTC (rev 129825)
+@@ -1009,7 +1009,7 @@
+ 		locals_size += mono_type_size (ins->inst_vtype, &ialign);
+ 	}
+ 
+-	if ((cfg->num_varinfo > 10000) || (locals_size >= (1 << 15))) {
++	if ((cfg->num_varinfo > 5000) || (locals_size >= (1 << 15)) || (header->code_size > 110000)) {
+ 		/* Avoid hitting the stack_alloc_size < (1 << 16) assertion in emit_epilog () */
+ 		cfg->arch.omit_fp = FALSE;
+ 	}
+
+ 			

Deleted: extra-i686/mono.rc.d
===================================================================
--- extra-i686/mono.rc.d	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-i686/mono.rc.d	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,35 +0,0 @@
-#!/bin/bash
-. /etc/rc.conf
-. /etc/rc.d/functions
- 
-case "$1" in
-  start)
-    stat_busy "Registering .NET IL binaries with mono"
-    if [ ! -d /proc/sys/fs/binfmt_misc ]; then
-      stat_die "You need support for \"misc binaries\" in your kernel!"
-    fi
-    mount | grep -q binfmt_misc
-    if [ $? != 0 ]; then
-      mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
-      if [ $? != 0 ]; then
-        stat_die
-      fi
-    fi
-    echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
-    stat_done
-    ;;
-  stop)
-
-    stat_busy "Unregistering .NET IL binaries"
-    if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
-      echo '-1' > /proc/sys/fs/binfmt_misc/CLR
-    fi
-    stat_done
-    ;;
-  restart)
-    $0 stop
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"
-esac 

Copied: mono/repos/extra-i686/mono.rc.d (from rev 140777, mono/trunk/mono.rc.d)
===================================================================
--- extra-i686/mono.rc.d	                        (rev 0)
+++ extra-i686/mono.rc.d	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,35 @@
+#!/bin/bash
+. /etc/rc.conf
+. /etc/rc.d/functions
+ 
+case "$1" in
+  start)
+    stat_busy "Registering .NET IL binaries with mono"
+    if [ ! -d /proc/sys/fs/binfmt_misc ]; then
+      stat_die "You need support for \"misc binaries\" in your kernel!"
+    fi
+    mount | grep -q binfmt_misc
+    if [ $? != 0 ]; then
+      mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
+      if [ $? != 0 ]; then
+        stat_die
+      fi
+    fi
+    echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
+    stat_done
+    ;;
+  stop)
+
+    stat_busy "Unregistering .NET IL binaries"
+    if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
+      echo '-1' > /proc/sys/fs/binfmt_misc/CLR
+    fi
+    stat_done
+    ;;
+  restart)
+    $0 stop
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac 

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-x86_64/PKGBUILD	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-# Contributor: Brice Carpentier <brice at dlfp.org>
-
-pkgname=mono
-pkgver=2.10.5
-pkgrel=1
-pkgdesc="Free implementation of the .NET platform including runtime and compiler"
-arch=(i686 x86_64)
-license=('GPL' 'LGPL2' 'MPL' 'custom:MITX11')
-url="http://www.mono-project.com/"
-depends=('zlib' 'libgdiplus>=2.10' 'sh')
-makedepends=('pkgconfig')
-options=('!libtool' '!makeflags')
-provides=('monodoc')
-conflicts=('monodoc')
-source=(http://download.mono-project.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
-        mono.rc.d)
-md5sums=('1954f11932e82b2ae3b64b2ae9344d90'
-         '8315e46c6a6e9625502521fc0ad1a322')
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  # build mono
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --with-libgdiplus=installed 
-  make || return 1
-
-  # build jay
-  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
-  make || return 1
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install || return 1
-
-  # install jay
-  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
-  make DESTDIR=${pkgdir} prefix=/usr INSTALL=../../install-sh install
-  cd ${srcdir}/${pkgname}-${pkgver}
-
-  # install daemons and pathes
-  mkdir -p ${pkgdir}/etc/rc.d
-  install -m755 ${srcdir}/mono.rc.d ${pkgdir}/etc/rc.d/mono
-
-  #install license
-  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 mcs/MIT.X11 ${pkgdir}/usr/share/licenses/${pkgname}/
-  
-  #fix .pc file to be able to request mono on what it depends, fixes #go-oo build
-  sed -i -e "s:#Requires:Requires:" ${pkgdir}/usr/lib/pkgconfig/mono.pc
-}

Copied: mono/repos/extra-x86_64/PKGBUILD (from rev 140777, mono/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Brice Carpentier <brice at dlfp.org>
+
+pkgname=mono
+pkgver=2.10.6
+pkgrel=1
+pkgdesc="Free implementation of the .NET platform including runtime and compiler"
+arch=(i686 x86_64)
+license=('GPL' 'LGPL2' 'MPL' 'custom:MITX11')
+url="http://www.mono-project.com/"
+depends=('zlib' 'libgdiplus>=2.10' 'sh')
+makedepends=('pkgconfig')
+options=('!libtool' '!makeflags')
+provides=('monodoc')
+conflicts=('monodoc')
+source=(http://download.mono-project.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+        mono.rc.d)
+md5sums=('c442cef4cd6668b0a1391a661f6815a9'
+         '8315e46c6a6e9625502521fc0ad1a322')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  # build mono
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --with-libgdiplus=installed 
+  make || return 1
+
+  # build jay
+  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
+  make || return 1
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install || return 1
+
+  # install jay
+  cd ${srcdir}/${pkgname}-${pkgver}/mcs/jay
+  make DESTDIR=${pkgdir} prefix=/usr INSTALL=../../install-sh install
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  # install daemons and pathes
+  mkdir -p ${pkgdir}/etc/rc.d
+  install -m755 ${srcdir}/mono.rc.d ${pkgdir}/etc/rc.d/mono
+
+  #install license
+  mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 mcs/MIT.X11 ${pkgdir}/usr/share/licenses/${pkgname}/
+  
+  #fix .pc file to be able to request mono on what it depends, fixes #go-oo build
+  sed -i -e "s:#Requires:Requires:" ${pkgdir}/usr/lib/pkgconfig/mono.pc
+}

Deleted: extra-x86_64/bug434892.patch
===================================================================
--- extra-x86_64/bug434892.patch	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-x86_64/bug434892.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,11 +0,0 @@
---- trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/07/01 20:17:46	107006
-+++ trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/10/28 09:32:46	117243
-@@ -177,7 +177,7 @@
- 				foreach (OperationMessage om in op.Messages) {
- 					Message msg = ctx.Services.GetMessage (om.Message);
- 					foreach (MessagePart part in msg.Parts)
--						parts.Add (part,part);
-+						parts [part] = part; // do not use Add() - there could be the same MessagePart instance.
- 				}
- 			}
- 			

Copied: mono/repos/extra-x86_64/bug434892.patch (from rev 140777, mono/trunk/bug434892.patch)
===================================================================
--- extra-x86_64/bug434892.patch	                        (rev 0)
+++ extra-x86_64/bug434892.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,11 @@
+--- trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/07/01 20:17:46	107006
++++ trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/10/28 09:32:46	117243
+@@ -177,7 +177,7 @@
+ 				foreach (OperationMessage om in op.Messages) {
+ 					Message msg = ctx.Services.GetMessage (om.Message);
+ 					foreach (MessagePart part in msg.Parts)
+-						parts.Add (part,part);
++						parts [part] = part; // do not use Add() - there could be the same MessagePart instance.
+ 				}
+ 			}
+ 			

Deleted: extra-x86_64/mini_amd64.patch
===================================================================
--- extra-x86_64/mini_amd64.patch	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-x86_64/mini_amd64.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,13 +0,0 @@
---- mono/mini/mini-amd64.c	2009-03-19 21:08:18 UTC (rev 129824)
-+++ mono/mini/mini-amd64.c	2009-03-19 21:09:53 UTC (rev 129825)
-@@ -1009,7 +1009,7 @@
- 		locals_size += mono_type_size (ins->inst_vtype, &ialign);
- 	}
- 
--	if ((cfg->num_varinfo > 10000) || (locals_size >= (1 << 15))) {
-+	if ((cfg->num_varinfo > 5000) || (locals_size >= (1 << 15)) || (header->code_size > 110000)) {
- 		/* Avoid hitting the stack_alloc_size < (1 << 16) assertion in emit_epilog () */
- 		cfg->arch.omit_fp = FALSE;
- 	}
-
- 			

Copied: mono/repos/extra-x86_64/mini_amd64.patch (from rev 140777, mono/trunk/mini_amd64.patch)
===================================================================
--- extra-x86_64/mini_amd64.patch	                        (rev 0)
+++ extra-x86_64/mini_amd64.patch	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,13 @@
+--- mono/mini/mini-amd64.c	2009-03-19 21:08:18 UTC (rev 129824)
++++ mono/mini/mini-amd64.c	2009-03-19 21:09:53 UTC (rev 129825)
+@@ -1009,7 +1009,7 @@
+ 		locals_size += mono_type_size (ins->inst_vtype, &ialign);
+ 	}
+ 
+-	if ((cfg->num_varinfo > 10000) || (locals_size >= (1 << 15))) {
++	if ((cfg->num_varinfo > 5000) || (locals_size >= (1 << 15)) || (header->code_size > 110000)) {
+ 		/* Avoid hitting the stack_alloc_size < (1 << 16) assertion in emit_epilog () */
+ 		cfg->arch.omit_fp = FALSE;
+ 	}
+
+ 			

Deleted: extra-x86_64/mono.rc.d
===================================================================
--- extra-x86_64/mono.rc.d	2011-10-19 07:10:29 UTC (rev 140777)
+++ extra-x86_64/mono.rc.d	2011-10-19 07:11:57 UTC (rev 140778)
@@ -1,35 +0,0 @@
-#!/bin/bash
-. /etc/rc.conf
-. /etc/rc.d/functions
- 
-case "$1" in
-  start)
-    stat_busy "Registering .NET IL binaries with mono"
-    if [ ! -d /proc/sys/fs/binfmt_misc ]; then
-      stat_die "You need support for \"misc binaries\" in your kernel!"
-    fi
-    mount | grep -q binfmt_misc
-    if [ $? != 0 ]; then
-      mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
-      if [ $? != 0 ]; then
-        stat_die
-      fi
-    fi
-    echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
-    stat_done
-    ;;
-  stop)
-
-    stat_busy "Unregistering .NET IL binaries"
-    if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
-      echo '-1' > /proc/sys/fs/binfmt_misc/CLR
-    fi
-    stat_done
-    ;;
-  restart)
-    $0 stop
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"
-esac 

Copied: mono/repos/extra-x86_64/mono.rc.d (from rev 140777, mono/trunk/mono.rc.d)
===================================================================
--- extra-x86_64/mono.rc.d	                        (rev 0)
+++ extra-x86_64/mono.rc.d	2011-10-19 07:11:57 UTC (rev 140778)
@@ -0,0 +1,35 @@
+#!/bin/bash
+. /etc/rc.conf
+. /etc/rc.d/functions
+ 
+case "$1" in
+  start)
+    stat_busy "Registering .NET IL binaries with mono"
+    if [ ! -d /proc/sys/fs/binfmt_misc ]; then
+      stat_die "You need support for \"misc binaries\" in your kernel!"
+    fi
+    mount | grep -q binfmt_misc
+    if [ $? != 0 ]; then
+      mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
+      if [ $? != 0 ]; then
+        stat_die
+      fi
+    fi
+    echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
+    stat_done
+    ;;
+  stop)
+
+    stat_busy "Unregistering .NET IL binaries"
+    if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
+      echo '-1' > /proc/sys/fs/binfmt_misc/CLR
+    fi
+    stat_done
+    ;;
+  restart)
+    $0 stop
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac 



More information about the arch-commits mailing list